Package org.eclipse.emf.cdo.server

## Interface ISessionManager

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<ISession>`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `InternalSessionManager`

      public interface ISessionManager
      extends org.eclipse.net4j.util.container.IContainer<ISession>

  Manages the user `sessions` of a `repository`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.net4j.util.security.IAuthenticator` | `getAuthenticator()` |
    `IRepository` | `getRepository()` |
    `ISession` | `getSession​(int sessionID)` |
    `ISession[]` | `getSessions()` |
    `void` | `setAuthenticator​(org.eclipse.net4j.util.security.IAuthenticator authenticator)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository()

      Since:
        2.0

    - #### getSessions

          ISession[] getSessions()

    - #### getSession

          ISession getSession​(int sessionID)

      Since:
        2.0

    - #### getAuthenticator

          org.eclipse.net4j.util.security.IAuthenticator getAuthenticator()

      Since:
        4.2

    - #### setAuthenticator

          void setAuthenticator​(org.eclipse.net4j.util.security.IAuthenticator authenticator)

      Since:
        4.2